org.apache.torque.templates.platform

## Class PlatformDerbyImpl

- java.lang.Object
- - org.apache.torque.templates.platform.PlatformDefaultImpl
  - - org.apache.torque.templates.platform.PlatformDerbyImpl

- All Implemented Interfaces:
    Platform

      public class PlatformDerbyImpl
      extends PlatformDefaultImpl

  Derby Platform implementation.
  Version:
    $Id: PlatformDerbyImpl.java 1872379 2020-01-06 13:45:27Z tv $
  Author:
    Johnny Macchione, Greg Monroe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformDerbyImpl()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `escapeBackslashes()` Returns whether backslashes must be escaped in string literals.
    `String` | `getAutoIncrement()`
    `boolean` | `hasScale(String sqlType)` Returns if the RDBMS-specific SQL type has a scale attribute.
    `boolean` | `hasSize(String sqlType)` Returns if the RDBMS-specific SQL type has a size attribute.

    - ### Methods inherited from class org.apache.torque.templates.platform.PlatformDefaultImpl

      `createNotNullBeforeAutoincrement, formatDateTimeString, getDateString, getNullString, getSizeSuffix, getSqlTypeForSchemaType, getTimestampString, getTimeString, hasUniqueConstraintSize, quoteAndEscape, setSchemaTypeToSqlTypeMapping, usesStandaloneSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformDerbyImpl

          public PlatformDerbyImpl()

      Default constructor.

  - ### Method Detail

    - #### getAutoIncrement

          public String getAutoIncrement()

      Specified by:
        `getAutoIncrement` in interface `Platform`
      Overrides:
        `getAutoIncrement` in class `PlatformDefaultImpl`
      Returns:
        The RDBMS-specific SQL fragment for autoincrement.
      See Also:
        `PlatformDefaultImpl.getAutoIncrement()`

    - #### hasScale

          public boolean hasScale(String sqlType)

      Description copied from interface: `Platform`
      Returns if the RDBMS-specific SQL type has a scale attribute.
      Specified by:
        `hasScale` in interface `Platform`
      Overrides:
        `hasScale` in class `PlatformDefaultImpl`
      Parameters:
        `sqlType` - the SQL type
      Returns:
        true if the type has a scale attribute
      See Also:
        `PlatformDefaultImpl.hasScale(java.lang.String)`

    - #### hasSize

          public boolean hasSize(String sqlType)

      Description copied from interface: `Platform`
      Returns if the RDBMS-specific SQL type has a size attribute.
      Specified by:
        `hasSize` in interface `Platform`
      Overrides:
        `hasSize` in class `PlatformDefaultImpl`
      Parameters:
        `sqlType` - the SQL type
      Returns:
        true if the type has a size attribute
      See Also:
        `PlatformDefaultImpl.hasSize(java.lang.String)`

    - #### escapeBackslashes

          protected boolean escapeBackslashes()

      Description copied from class: `PlatformDefaultImpl`
      Returns whether backslashes must be escaped in string literals.
      Overrides:
        `escapeBackslashes` in class `PlatformDefaultImpl`
      Returns:
        true if backslashes bust be escaped, false otherwise.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.